using System;

namespace AspectLib
{
	/// <summary>
	/// Summary description for AspectAttribute.
	/// </summary>

	[AttributeUsage(AttributeTargets.Class, Inherited = false, AllowMultiple = false)]
	public class AspectAttribute : Attribute
	{		
		private string _aspectName = string.Empty;

		public AspectAttribute()
		{
		}

		public string Name
		{
			get { return _aspectName; }
			set { _aspectName = value; }
		}
	}
}
