using System;

namespace AspectNet
{
	/// <summary>
	/// Summary description for XmlConstants.
	/// </summary>
	public class XmlConstants
	{
		public enum AccModifier
		{
			accNone			= 0x00000000,
			
			accAll			= 0x00011111,
			
			accPublic		= 0x00000001,
			accProtected	= 0x00000010,
			accPrivate		= 0x00000100,
			accFinal		= 0x00001000,
			accAbstract		= 0x00010000
		}

		// symbol used for matching any symbols after it
		public const string MATCH_ALL				= "*";

		public const string ACC_PUBLIC				= "public";
		public const string ACC_PROTECTED			= "protected";
		public const string ACC_PRIVATE				= "private";
		public const string ACC_FINAL				= "final";
		public const string ACC_ABSTRACT			= "abstract";

	}
}
