/*
	The contents of this file are subject to the Mozilla Public License Version 1.1 (the "License"); 
	you may not use this file except in compliance with the License. You may obtain a copy of the License at 
	http://www.mozilla.org/MPL/ 
	Software distributed under the License is distributed on an "AS IS" basis, 
	WITHOUT WARRANTY OF ANY KIND, either express or implied. See the License for the specific language 
	governing rights and limitations under the License. 

	The Original Code is RAIL(Runtime Assembly Instrumentation Library) Alpha Version.
	The Initial Developer of the Original Code is University of Coimbra,
	Computer Science Department, Dependable Systems Group. Copyright (C) University of Coimbra. 
	All Rights Reserved.  
*/
using System;

namespace Rail.Reflect
{
	/// <summary>
	/// Summary description for AssemblyReadException.
	/// </summary>
	public class AssemblyReadException : Exception
	{
		/// <summary>
		/// 
		/// </summary>
		public AssemblyReadException() : base("[Assembly Read Exception] ")
		{
		}

		/// <summary>
		/// 
		/// </summary>
		/// <param name="message"></param>
		public AssemblyReadException(String message) : base("[Assembly Read Exception] "+ message)
		{	
		}
	}
}
